<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.9.4" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
 <name>Horde_Injector</name>
 <channel>pear.horde.org</channel>
 <summary>Horde dependency injection container</summary>
 <description>A depedency injection container for Horde.</description>
 <lead>
  <name>Chuck Hagenbuch</name>
  <user>chuck</user>
  <email>chuck@horde.org</email>
  <active>yes</active>
 </lead>
 <date>2013-06-18</date>
 <time>14:35:17</time>
 <version>
  <release>2.0.2</release>
  <api>1.0.0</api>
 </version>
 <stability>
  <release>stable</release>
  <api>stable</api>
 </stability>
 <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
 <notes>
* [jan] Re-throw ReflectionExceptions as Horde_Injector_Exceptions.
 </notes>
 <contents>
  <dir baseinstalldir="/" name="/">
   <file baseinstalldir="/" md5sum="8de8f299925e5505734f1c4ef6443851" name="doc/Horde/Injector/examples/annotatedsetters.php" role="doc" />
   <file baseinstalldir="/" md5sum="624aa2a191e5a24e234b96e0a6d54081" name="doc/Horde/Injector/examples/binder.php" role="doc" />
   <file baseinstalldir="/" md5sum="a036cdab52acda4478021a23b2309f27" name="doc/Horde/Injector/examples/closure.php" role="doc" />
   <file baseinstalldir="/" md5sum="c27b9e227a3cda17ca051d377fffe2f8" name="doc/Horde/Injector/examples/factory.php" role="doc" />
   <file baseinstalldir="/" md5sum="cfe15f2e2181f00ca2c7d87a731fa292" name="doc/Horde/Injector/examples/implementation.php" role="doc" />
   <file baseinstalldir="/" md5sum="8e2b08060ed945a046262ee36549e1ff" name="doc/Horde/Injector/examples/setget.php" role="doc" />
   <file baseinstalldir="/" md5sum="1c4f020fb7db98997e608207a392ce15" name="doc/Horde/Injector/COPYING" role="doc" />
   <file baseinstalldir="/" md5sum="3032141de8aa5cdf954f796438199648" name="doc/Horde/Injector/Readme.html" role="doc" />
   <file baseinstalldir="/" md5sum="fdff25068cf37cf44e6a8b66e91063f9" name="lib/Horde/Injector/Binder/AnnotatedSetters.php" role="php" />
   <file baseinstalldir="/" md5sum="f00dbbae92163f70746280081b016995" name="lib/Horde/Injector/Binder/Closure.php" role="php" />
   <file baseinstalldir="/" md5sum="02dc6e2eca2b8f8132955ed29a0355a5" name="lib/Horde/Injector/Binder/Factory.php" role="php" />
   <file baseinstalldir="/" md5sum="ae90c5178a469950da1742227c09905e" name="lib/Horde/Injector/Binder/Implementation.php" role="php" />
   <file baseinstalldir="/" md5sum="3a513ce1750470a43e65c1965454582c" name="lib/Horde/Injector/Binder.php" role="php" />
   <file baseinstalldir="/" md5sum="29adff221d015ad0516fec535ec65194" name="lib/Horde/Injector/DependencyFinder.php" role="php" />
   <file baseinstalldir="/" md5sum="bc967a61b1b7d545e0dd8b373e5e2597" name="lib/Horde/Injector/Exception.php" role="php" />
   <file baseinstalldir="/" md5sum="9e0d3bd06dec01d9811d150cd6dc0945" name="lib/Horde/Injector/Scope.php" role="php" />
   <file baseinstalldir="/" md5sum="bcc456617d6dec59d9476883514264f1" name="lib/Horde/Injector/TopLevel.php" role="php" />
   <file baseinstalldir="/" md5sum="74b4f95e8b2ad88b1cf79d84f476fd3f" name="lib/Horde/Injector.php" role="php" />
   <file baseinstalldir="/" md5sum="c857be573119a99ed4b29d6edfc17d28" name="test/Horde/Injector/Binder/AnnotatedSettersTest.php" role="test" />
   <file baseinstalldir="/" md5sum="17a8f1efed1e1f038bcf376ffc2a1909" name="test/Horde/Injector/Binder/ClosureTest.php" role="test" />
   <file baseinstalldir="/" md5sum="a7ed70f3e7b2936a1b6a3a53139662a8" name="test/Horde/Injector/Binder/FactoryTest.php" role="test" />
   <file baseinstalldir="/" md5sum="35c2cf9534d45d2718d181a9b0b9a1ca" name="test/Horde/Injector/Binder/ImplementationTest.php" role="test" />
   <file baseinstalldir="/" md5sum="8bc9518b9c0576806c82d9413489d099" name="test/Horde/Injector/AllTests.php" role="test" />
   <file baseinstalldir="/" md5sum="e86d5de99321d0037744d7ab45d0d5e9" name="test/Horde/Injector/BinderTest.php" role="test" />
   <file baseinstalldir="/" md5sum="0a5018f0726d4673850fece3ad4d72c0" name="test/Horde/Injector/bootstrap.php" role="test" />
   <file baseinstalldir="/" md5sum="24a8a0254a845c605f69f4dcb7979486" name="test/Horde/Injector/InjectorTest.php" role="test" />
   <file baseinstalldir="/" md5sum="3789cf14d422573d6c85e4398ffd6caa" name="test/Horde/Injector/phpunit.xml" role="test" />
  </dir>
 </contents>
 <dependencies>
  <required>
   <php>
    <min>5.3.0</min>
   </php>
   <pearinstaller>
    <min>1.7.0</min>
   </pearinstaller>
   <package>
    <name>Horde_Exception</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
  </required>
  <optional>
   <package>
    <name>Horde_Test</name>
    <channel>pear.horde.org</channel>
    <min>2.1.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
  </optional>
 </dependencies>
 <phprelease>
  <filelist>
   <install as="COPYING" name="doc/Horde/Injector/COPYING" />
   <install as="Readme.html" name="doc/Horde/Injector/Readme.html" />
   <install as="examples/annotatedsetters.php" name="doc/Horde/Injector/examples/annotatedsetters.php" />
   <install as="examples/binder.php" name="doc/Horde/Injector/examples/binder.php" />
   <install as="examples/closure.php" name="doc/Horde/Injector/examples/closure.php" />
   <install as="examples/factory.php" name="doc/Horde/Injector/examples/factory.php" />
   <install as="examples/implementation.php" name="doc/Horde/Injector/examples/implementation.php" />
   <install as="examples/setget.php" name="doc/Horde/Injector/examples/setget.php" />
   <install as="Horde/Injector.php" name="lib/Horde/Injector.php" />
   <install as="Horde/Injector/Binder.php" name="lib/Horde/Injector/Binder.php" />
   <install as="Horde/Injector/DependencyFinder.php" name="lib/Horde/Injector/DependencyFinder.php" />
   <install as="Horde/Injector/Exception.php" name="lib/Horde/Injector/Exception.php" />
   <install as="Horde/Injector/Scope.php" name="lib/Horde/Injector/Scope.php" />
   <install as="Horde/Injector/TopLevel.php" name="lib/Horde/Injector/TopLevel.php" />
   <install as="Horde/Injector/Binder/AnnotatedSetters.php" name="lib/Horde/Injector/Binder/AnnotatedSetters.php" />
   <install as="Horde/Injector/Binder/Closure.php" name="lib/Horde/Injector/Binder/Closure.php" />
   <install as="Horde/Injector/Binder/Factory.php" name="lib/Horde/Injector/Binder/Factory.php" />
   <install as="Horde/Injector/Binder/Implementation.php" name="lib/Horde/Injector/Binder/Implementation.php" />
   <install as="Horde/Injector/AllTests.php" name="test/Horde/Injector/AllTests.php" />
   <install as="Horde/Injector/BinderTest.php" name="test/Horde/Injector/BinderTest.php" />
   <install as="Horde/Injector/bootstrap.php" name="test/Horde/Injector/bootstrap.php" />
   <install as="Horde/Injector/InjectorTest.php" name="test/Horde/Injector/InjectorTest.php" />
   <install as="Horde/Injector/phpunit.xml" name="test/Horde/Injector/phpunit.xml" />
   <install as="Horde/Injector/Binder/AnnotatedSettersTest.php" name="test/Horde/Injector/Binder/AnnotatedSettersTest.php" />
   <install as="Horde/Injector/Binder/ClosureTest.php" name="test/Horde/Injector/Binder/ClosureTest.php" />
   <install as="Horde/Injector/Binder/FactoryTest.php" name="test/Horde/Injector/Binder/FactoryTest.php" />
   <install as="Horde/Injector/Binder/ImplementationTest.php" name="test/Horde/Injector/Binder/ImplementationTest.php" />
  </filelist>
 </phprelease>
 <changelog>
  <release>
   <version>
    <release>1.0.0alpha1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>alpha</api>
   </stability>
   <date>2011-03-08</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First alpha release for Horde 4.
* Add Horde_Injector#hasInstance().
* Initial release, contributed by Blue State Digital
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0beta1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-16</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First beta release for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-22</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First release candidate for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC2</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-29</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* Second release candidate for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-04-06</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First stable release for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-11-22</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix tests to work with PHPUnit 3.6.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0alpha1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2012-07-05</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First alpha release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0beta1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2012-07-19</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First beta release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-10-30</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First stable release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-11-19</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Use new Horde_Test layout.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.2</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-06-18</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Re-throw ReflectionExceptions as Horde_Injector_Exceptions.
   </notes>
  </release>
 </changelog>
</package>
